

package gov.va.med.cds.monitor;


public interface VdmMarshallerMethodMetricsInterface
    extends
        MethodMetricsInterface
{

    long getVdmMarshallerTransactions( );


    long getVdmMarshallerElapsedTime( );


    double getVdmMarshallerTransactionsPerSecond( );


    double getVdmMarshallerAverageElapsedTime( );


    long getVdmMarshallerMaxElapsedTime( );


    long getVdmMarshallerMinElapsedTime( );

}
